Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg
Class UserAttributeSubpacket

    java.lang.Object
      org.bouncycastle.bcpg.UserAttributeSubpacket

Direct Known Subclasses:
  ImageAttribute

    public class UserAttributeSubpacket

extends java.lang.Object

Basic type for a user attribute sub-packet.

Field Summary
`protected byte[]` `data`

Constructor Summary
`protected` `UserAttributeSubpacket(int type, byte[] data)`

Method Summary
`void` `encode(java.io.OutputStream out)`
`boolean` `equals(java.lang.Object o)`
`byte[]` `getData()` return the generic data making up the packet.
`int` `getType()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected byte[] data

Constructor Detail

### UserAttributeSubpacket

    protected UserAttributeSubpacket(int type,
                                     byte[] data)

Method Detail

### getType

    public int getType()

### getData

    public byte[] getData()

  return the generic data making up the packet.

### encode

    public void encode(java.io.OutputStream out)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45